RegionMBean (Apache Geode 1.7.0)
Date: 2018-09-27

org.apache.geode.tools.pulse.tests

## Interface RegionMBean

- All Known Implementing Classes:
    Region

      public interface RegionMBean

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `OBJECT_NAME`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getDiskReadsRate()`
    `long` | `getDiskUsage()`
    `double` | `getDiskWritesRate()`
    `int` | `getEmptyNodes()`
    `long` | `getEntrySize()`
    `java.lang.String` | `getFullPath()`
    `boolean` | `getGatewayEnabled()`
    `double` | `getGetsRate()`
    `double` | `getLruEvictionRate()`
    `int` | `getMemberCount()`
    `java.lang.String[]` | `getMembers()`
    `java.lang.String` | `getName()`
    `boolean` | `getPersistentEnabled()`
    `double` | `getPutsRate()`
    `java.lang.String` | `getRegionType()`
    `long` | `getSystemRegionEntryCount()`
    `javax.management.openmbean.CompositeData` | `listRegionAttributes()`

- - ### Field Detail

    - #### OBJECT_NAME

          static final java.lang.String OBJECT_NAME

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getMembers

          java.lang.String[] getMembers()

    - #### getFullPath

          java.lang.String getFullPath()

    - #### getDiskReadsRate

          double getDiskReadsRate()

    - #### getDiskWritesRate

          double getDiskWritesRate()

    - #### getEmptyNodes

          int getEmptyNodes()

    - #### getGetsRate

          double getGetsRate()

    - #### getLruEvictionRate

          double getLruEvictionRate()

    - #### getPutsRate

          double getPutsRate()

    - #### getRegionType

          java.lang.String getRegionType()

    - #### getEntrySize

          long getEntrySize()

    - #### getSystemRegionEntryCount

          long getSystemRegionEntryCount()

    - #### getMemberCount

          int getMemberCount()

    - #### getPersistentEnabled

          boolean getPersistentEnabled()

    - #### getName

          java.lang.String getName()

    - #### getGatewayEnabled

          boolean getGatewayEnabled()

    - #### getDiskUsage

          long getDiskUsage()

    - #### listRegionAttributes

          javax.management.openmbean.CompositeData listRegionAttributes()